--
--Taunt Tattle Rehashed
--Author: Kasani - Agamaggan-US
--Original: CasualCorps
--
--Updated to 50001 to include more taunts, and add monk taunts
--Added announcing to party or raid, depending on which you're in
--

	prefixtext="[Taunt Tattle Rehashed]: ";
  if isEnabled == nil then
   isEnabled = true; -- This is the first time this addon is loaded; initialize the count to 0.
  end
  if isSelfOnly == nil then
   isSelfOnly = false; -- This is the first time this addon is loaded; initialize the count to 0.
  end
  if isIgnMT == nil then
   isIgnMT = false; -- This is the first time this addon is loaded; initialize the count to 0.
  end

  SLASH_TTR1 = '/ttr'; -- 3.
function SlashCmdList.TTR(msg, editbox) -- 4.
	--print(msg);
if (msg == nil or msg == "") then
	print("[Taunt Tattle Rehashed] by Kasani - Agamaggan-US\n  Option Commands are listed below\n  Toggle Announcements: /ttr toggle (/ttr tg) Current: "..isEnabled.."\n  Toggle Self Only Mode: /ttr selfonly (/ttr so) Current: "..isSelfOnly.."\n  Toggle Ignore Main Tank Mode: /ttr ignoremt (/ttr imt) Current: "..isIgnMT);
elseif (msg == "toggle" or msg == "tg") then
	if(isEnabled == false) then
		isEnabled = true;
		print("[Taunt Tattle Rehashed] is now Enabled.");
	else
		isEnabled = false;
		print("[Taunt Tattle Rehashed] is now Disabled.");
	end
	
	
elseif (msg == "self only" or msg == "selfonly" or msg == "so") then
	if(isSelfOnly == false) then
		isSelfOnly = true;
		print("[Taunt Tattle Rehashed] Announcements will now only send to you.");
	else
		isSelfOnly = false;
		print("[Taunt Tattle Rehashed] Announcements will now send to party or raid.");
	end
	
	
elseif (msg == "ignore main tank" or msg == "ignore mt" or msg == "ignoremaintank" or msg == "ignoremt" or msg == "imt") then
	if(isIgnMT == false) then
		isIgnMT = true;
		print("[Taunt Tattle Rehashed] Announcements will now ignore players marked as 'Tank'.");
	else
		isIgnMT = false;
		print("[Taunt Tattle Rehashed] Announcements will now send all taunts.");
	end

end

end

function TauntTattleFrame_OnLoad()

 --TTRAddon = {};
 --TTRAddon.panel = CreateFrame( "Frame", "TauntTattleOptionsFrame", UIParent );
 -- Register in the Interface Addon Options GUI
 -- Set the name for the Category for the Options Panel
 --TTRAddon.panel.name = "Taunt Tattle Rehashed";
 -- Add the panel to the Interface Options
 --InterfaceOptions_AddCategory(TTRAddon.panel);

	TauntTattleFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");


	ChatFrame1:AddMessage("|cffffff00 Taunt Tattle Rehashed Loaded. Type /ttr for options.");

	-- already hidden by default, but just in case...
	TauntTattleFrame:Hide();
end

function TauntTattleFrame_OnEvent(event, ...)
if (isEnabled == true) then
	local timestamp, ttype, hideCaster, srcGUID, srcName, srcFlags, sourceRaidFlags, dstGUID, dstName, dstFlags, destRaidFlags, spellid, spellname, spellschool, targetchan, isGo, b_or_d = select(1, ...);

	--ChatFrame1:AddMessage("Spell Detected: "..spellid);
	if (ttype == "SPELL_CAST_SUCCESS") and (
		(spellid == 6795) or 
		(spellid == 5209) or 
		(spellid == 49576) or 
		(spellid == 355) or 
		(spellid == 1161) or 
		(spellid == 694) or 
		(spellid == 31789) or 
		(spellid == 62124) or 
		(spellid == 56222) or 
		(spellid == 115546) or --Monk: Provoke
		(spellid == 115180) --Monk: Dizzying Haze
	) then


	isGo = false;
	if ( isSelfOnly == false ) then
		if ( IsInRaid() == true ) then
			targetchan = "RAID";
			isGo = true;
		elseif ( IsInGroup() == true ) then
			targetchan = "PARTY";
			isGo = true;
		end
	end
	
	--ChatFrame1:AddMessage("isGo is "..isGo.." - "..GetNumGroupMembers());

	--isAssigned = GetPartyAssignment("TANK");
	isAssigned = UnitGroupRolesAssigned(srcName);
	--print(srcName.." - "..isAssigned);
	if ( isAssigned == "TANK" and isIgnMT == true ) then
	
	else
	if (isGo == true) then
		if (dstName) then
			SendChatMessage(prefixtext..spellname.." used to taunt "..dstName.." by ".. srcName, targetchan);
		else
			SendChatMessage(prefixtext..spellname.." used by ".. srcName, targetchan);
		end
	else
		if (dstName) then
			ChatFrame1:AddMessage(prefixtext..spellname.." used to taunt "..dstName.." by ".. srcName);
		else
			ChatFrame1:AddMessage(prefixtext..spellname.." used by ".. srcName);
		end
	end
	end

	end
	
end

end